/* program */

//#define LISTS_STATIC
#define LIST_ALLOC_SEGMENT 2048

#include "../lib/list.inc.prg"
#include "../lib/wm.inc.prg"
#include "../lib/wm_utils.inc.prg"
#include "../lib/menu.inc.prg"
#include "../lib/sysopts.inc.prg"

import "mod_say";
import "mod_video";
import "mod_wm";

#include "menus.inc.prg"
#include "reader.inc.prg"

process exiter()
local
    ani_loop lp;
    int mon;
end
begin
  mon = 0;
  loop
    if( jkey( _JKEY_R ) )
      while( jkey( _JKEY_R ) ) frame; end;
      if( exists(mon) )
	signal( mon, S_KILL );
      else
	mon = wmu_sysmon();
      end
    end;
    if( exit_status || jkey( _JKEY_MENU ) ) let_me_alone(); frame; exit('(X__X)'); end
    frame;
  end
end

process main()
local
  int i;
  stringlist l1, l2;
  string bookdir;
  string bookfile;
  mnu_select_book menu;
end
begin
  say("Start");
  set_mode( 320, 240, 16 );
  
  wm_load_skin( wm_default_skin );
  
  say("Font");
  text_set_frontend( TXT_RENDER_F_CFNT );
  text_set_font_cfnt( "ter-c14n" );
  text_set_enc_cfnt( "microsoft-cp1251" );

  
  say("Inp");
  input_module( 100 );
  
  exiter();
  
  say("Wmman");
  wm_manager();
    
  if( sys_is_handheld() )
    input_set_dev( 1 );
    input_preset_gph();
    bookdir = "/mnt/sd/ebook";
  else
    input_preset_pc();
    bookdir = "../ebook";
  end
  
  bookfile="";
  
  say("Mnu");
  menu = 0;
  menu = mnu_select_book( bookdir, &bookfile );  
  while ( exists( menu ) )
    frame;
  end

  
  if( bookfile != "" ) reader( bookfile ); end

  loop
    if( jkey(_JKEY_MENU) ) break; end;
    frame;
  end;
  
  let_me_alone();
end;
/*eof*/
