
import "mod_dir"

#include "../lib/translate.inc.prg"       
       
process mnu_main()
public
  int exit_code;
end
begin

end

process mnu_select_book( string bookdir, string *selected_file )
local
  wm_window wnd;
  stringlist lst;
  menu_selectbox box;
  int submenu;
  string fi;
end
begin
   say("Select menu");
 
  list_create( &lst );
  
  while( ( fi = glob( bookdir + "/*.txt" ) ) != "" )
    say("> "+fi);
    list_grow( &lst, fi );
  end

  box = menu_selectbox( lst, 20 );
  wnd = wm_window( box, WM_W_SELFPLACED );
  wnd.title= _("Book shelf");
  
  frame;
  
  wnd.x = 160 - wnd.ww/2;
  wnd.y = 120 - wnd.wh/2;
  
  loop
    frame;
    
    if( jkey( _JKEY_A ) || jkey( _JKEY_B ) )
      while( jkey( _JKEY_A ) || jkey( _JKEY_B ) ) frame; end;
      
      *selected_file = ( bookdir + "/" + list_item( lst , box.selected ) );
      return;
    end
    
  end
  
onexit
  signal(wnd, S_KILL);  
  list_free( &lst );
end
